package com.scbfkj.uni.library;

import java.security.SecureRandom;

public class CodeUtil {

    private static final SecureRandom RANDOM = new SecureRandom();

    public static String createCode(int size, String source) {
        StringBuilder verifyCode = new StringBuilder(size);
        int codesLen = source.length();
        for (int i = 0; i < size; i++) {
            verifyCode.append(source.charAt(RANDOM.nextInt(codesLen - 1)));
        }
        return verifyCode.toString();
    }
}
