package com.scbfkj.uni.library;

import com.scbfkj.uni.process.DataBase;
import com.scbfkj.uni.system.Config;

import java.util.*;

public class DataAliasGetUtil {


    private static List<Map<String, Object>> keyAlias = null;

    public static Optional<String> getValue(String key, Map<String, Object> data) throws Exception {

        Optional<String> result = Optional.ofNullable(data.get(key)).map(Object::toString);
        if (result.isPresent()) return result;
        if (Objects.isNull(keyAlias) || keyAlias.isEmpty()) {
            keyAlias = DataBase.query(Config.centerConnectionStr, "select * from keyalias where aliasid>?", Collections.singletonList(new Object[]{0}));
        }
        List<Map<String, Object>> keynames = keyAlias.stream().filter(it -> Objects.equals(it.get("keyname"), key)).toList();
        if (keynames.isEmpty()) return Optional.empty();
        return keynames.stream().map(it -> it.get("aliasname")).map(data::get).filter(Objects::nonNull).map(Object::toString).findAny();
    }
}
